GoodMemGoodMem
ReferenceAPIREST APIAdmin

Create a RetrieveMemory log policy

Creates an immutable administrative policy that can automatically enable durable RetrieveMemory request logging.

POST
/v1/admin/retrieve-memory-log-policies
x-api-key<token>

In: header

policyId?string | null

Optional client-provided policy UUID.

Example"40000000-0000-4000-8000-000000000301"
Formatuuid
displayNamestring

Human-readable policy name.

Example"Security audit policy"
Length1 <= length <= 255
description?string | null

Optional operator description.

Example"Capture security-sensitive retrievals."
Lengthlength <= 4096
conditionRetrieveMemoryLogPolicyCondition

Policy match condition.

activeFrom?integer | null

Inclusive activation time in milliseconds since epoch.

Example2219443200000
Formatint64
activeUntil?integer | null

Exclusive deactivation time in milliseconds since epoch.

Example2219529600000
Formatint64
labels?object | null

Operator labels for listing and administration.

Example{"owner":"security","env":"prod"}
Propertiesproperties <= 64

Empty Object

Response Body

curl -X POST "https://loading/v1/admin/retrieve-memory-log-policies" \  -H "Content-Type: application/json" \  -d '{    "policyId": "40000000-0000-4000-8000-000000000301",    "displayName": "Security audit policy",    "description": "Capture security-sensitive retrievals.",    "condition": {      "matchAll": false,      "anyOf": [        {          "requestorUserIds": [            "10000000-0000-4000-8000-000000000301"          ],          "apiKeyIds": [            "20000000-0000-4000-8000-000000000301"          ],          "spaceIds": [            "30000000-0000-4000-8000-000000000301"          ],          "apiKeyLabelSelectors": {            "service": "billing"          },          "spaceLabelSelectors": {            "env": "prod"          }        }      ]    },    "activeFrom": 2219443200000,    "activeUntil": 2219529600000,    "labels": {      "owner": "security",      "env": "prod"    }  }'
{
  "policyId": "40000000-0000-4000-8000-000000000301",
  "displayName": "Security audit policy",
  "description": "Capture security-sensitive retrievals.",
  "condition": {
    "matchAll": false,
    "anyOf": [
      {
        "spaceIds": [
          "30000000-0000-4000-8000-000000000301"
        ],
        "spaceLabelSelectors": {
          "env": "prod"
        }
      }
    ]
  },
  "activeFrom": 2219443200000,
  "activeUntil": 2219529600000,
  "labels": {
    "owner": "security",
    "env": "prod"
  },
  "currentlyActive": true,
  "deletedAt": 2219533200000,
  "deletedById": "10000000-0000-4000-8000-000000000301",
  "deleteReason": "Replaced by narrower policy.",
  "createdAt": 2219443200000,
  "updatedAt": 2219443200000,
  "createdById": "10000000-0000-4000-8000-000000000301",
  "updatedById": "10000000-0000-4000-8000-000000000301"
}
Empty
Empty
Empty
Empty
Empty